package com.ruoyi.system.service;

import com.ruoyi.system.domain.ZsProductCategory;
import com.ruoyi.system.domain.vo.ZsProductCategoryVo;
import com.ruoyi.system.domain.bo.ZsProductCategoryBo;

import java.util.Collection;
import java.util.List;

/**
 * 站点产品分类管理Service接口
 *
 * @author 王强
 * @date 2025-05-06
 */
public interface IZsProductCategoryService {

    /**
     * 查询站点产品分类管理
     */
    ZsProductCategoryVo queryById(Long id);


    /**
     * 查询站点产品分类管理列表
     */
    List<ZsProductCategoryVo> queryList(ZsProductCategoryBo bo);

    /**
     * 新增站点产品分类管理
     */
    Boolean insertByBo(ZsProductCategoryBo bo);

    /**
     * 修改站点产品分类管理
     */
    Boolean updateByBo(ZsProductCategoryBo bo);

    /**
     * 校验并批量删除站点产品分类管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
